import pygame

# Useful constants


# -- Graphics --

# Colors
c_black = (0, 0, 0)
c_dkgray = (64, 64, 64)
c_gray = (128, 128, 128)
c_ltgray = (192, 192, 192)
c_white = (255, 255, 255)
c_red = (255, 0, 0)
c_orange = (255, 165, 0)
c_yellow = (255, 255, 0)
c_green = (0, 255, 0)
c_blue = (0, 0, 255)
c_cyan = (0, 255, 255)
c_purple = (225, 0, 225)
c_pink = (255, 181, 197)
c_brown = (165, 42, 42)

c_twitter = (0x00, 0xa0, 0xd1)
c_facebook = (0x3b, 0x59, 0x98)
c_youtube = (0xc4, 0x30, 0x2b)
c_tumblr = (0x34, 0x52, 0x6f)


# ---IO---

# Keyboard keys
k_backspace = pygame.K_BACKSPACE
k_tab = pygame.K_TAB
k_enter = pygame.K_RETURN
k_shift = pygame.K_LSHIFT
k_control = pygame.K_LCTRL
k_escape = pygame.K_ESCAPE
k_esc = pygame.K_ESCAPE
k_space = pygame.K_SPACE
k_left = pygame.K_LEFT
k_right = pygame.K_RIGHT
k_up = pygame.K_UP
k_down = pygame.K_DOWN
# ...and many more at http://www.pygame.org/docs/ref/key.html

# Mouse buttons
mb_left = 1
mb_middle = 2
mb_right = 3
mb_wheel_up = 4
mb_wheel_down = 5
mb_wheel_left = 6
mb_wheel_up = 7

# World
screen_width = 800
screen_height = 600
wbcx = 0
wbcy = 0
wbcw = 11900
wbch = 600

bgscale = 0.05
imageAmount = {'castle': 5, 'cloud': 7, 'brick': 8, 'flare': 7, 'hill': 4}
