
# -- Player --
# Example class of a simple player-object

class Player():
    def __init__(self, x, y):
        # Position
        self.x = x
        self.y = y
        self.direction = 0
        self.dSpeed = 0
        self.vSpeed = 0
        self.hSpeed = 0
        self.rSpeed = 0.2
        
        # Other stuff
        self.name = 'Blinky'
        self.lives = 3
        self.ammo = 1337
        
    # Update movement
    def update(self):
        #self.vSpeed += 0.1
        
        self.x += self.hSpeed
        self.y += self.vSpeed
        self.direction += self.dSpeed
    
    def boost(self, left, right):
        self.dSpeed += self.rSpeed * left
        self.dSpeed -= self.rSpeed * right
        
